## org.eclipse.datatools.connectivity.drivers
Class PropertySetImpl

    java.lang.Object
      org.eclipse.datatools.connectivity.drivers.PropertySetImpl

All Implemented Interfaces:
  IPropertySet

public class PropertySetImpl
extends java.lang.Object
implements IPropertySet

Implementation class of the property set

Author:
  brianf

Constructor Summary
`PropertySetImpl(java.lang.String name, java.lang.String id)` Constructor

Method Summary
`java.lang.Object` `clone()` Clones the property set and returns the clone object.
`boolean` `equals(java.lang.Object obj)`
`java.util.Properties` `getBaseProperties()` Returns the base properties of the property set
`java.lang.String` `getID()` Returns the id of the property set
`java.lang.String` `getName()` Returns the name of the property set
`java.util.Properties` `getProperties(java.lang.String type)` Gets general properties of the property set
`int` `hashCode()`
`void` `setBaseProperties(java.util.Properties props)` Sets the base properties of the property set
`void` `setID(java.lang.String id)` Sets the id of the property set
`void` `setName(java.lang.String newName)` Sets the name of the property set
`void` `setProperties(java.lang.String type, java.util.Properties props)` Sets general properties of the property set

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PropertySetImpl

    public PropertySetImpl(java.lang.String name,
                           java.lang.String id)

  Constructor

Parameters:
  `name` -
  `id` -

Method Detail

### getName

    public java.lang.String getName()

  Returns the name of the property set

  Specified by:
    `getName` in interface `IPropertySet`

### setName

    public void setName(java.lang.String newName)

  Sets the name of the property set

  Specified by:
    `setName` in interface `IPropertySet`

### getID

    public java.lang.String getID()

  Returns the id of the property set

  Specified by:
    `getID` in interface `IPropertySet`

### setID

    public void setID(java.lang.String id)

  Sets the id of the property set

  Specified by:
    `setID` in interface `IPropertySet`

### getBaseProperties

    public java.util.Properties getBaseProperties()

  Returns the base properties of the property set

  Specified by:
    `getBaseProperties` in interface `IPropertySet`

### setBaseProperties

    public void setBaseProperties(java.util.Properties props)

  Sets the base properties of the property set

  Specified by:
    `setBaseProperties` in interface `IPropertySet`

### getProperties

    public java.util.Properties getProperties(java.lang.String type)

  Gets general properties of the property set

  Specified by:
    `getProperties` in interface `IPropertySet`

### setProperties

    public void setProperties(java.lang.String type,
                              java.util.Properties props)

  Sets general properties of the property set

  Specified by:
    `setProperties` in interface `IPropertySet`

### clone

    public java.lang.Object clone()

  Clones the property set and returns the clone object.

### equals

    public boolean equals(java.lang.Object obj)

### hashCode

    public int hashCode()

Copyright © 2006 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.